Security update for chromium (important)

2021-01-11T17:25:11
ID OPENSUSE-SU-2021:0048-1
Type suse
Reporter Suse
Modified 2021-01-11T17:25:11

Description

An update that fixes 13 vulnerabilities is now available.

Description:

This update for chromium fixes the following issues:

  • Update to 87.0.4280.141 (boo#1180645)

    • CVE-2021-21106: Use after free in autofill
    • CVE-2021-21107: Use after free in drag and drop
    • CVE-2021-21108: Use after free in media
    • CVE-2021-21109: Use after free in payments
    • CVE-2021-21110: Use after free in safe browsing
    • CVE-2021-21111: Insufficient policy enforcement in WebUI
    • CVE-2021-21112: Use after free in Blink
    • CVE-2021-21113: Heap buffer overflow in Skia
    • CVE-2020-16043: Insufficient data validation in networking
    • CVE-2021-21114: Use after free in audio
    • CVE-2020-15995: Out of bounds write in V8
    • CVE-2021-21115: Use after free in safe browsing
    • CVE-2021-21116: Heap buffer overflow in audio
  • Use main URLs instead of redirects in master preferences

This update was imported from the openSUSE:Leap:15.2:Update update project.

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

  • openSUSE Backports SLE-15-SP2:

    zypper in -t patch openSUSE-2021-48=1